import { NowPlayingTrack } from './nowPlayingTrack';
import { NowPlayingSourceProvider } from './sources/sourceProvider';
import { SimpleEventEmitter } from './utils';
interface StatusPublisherOptions {
    sessionCookie: string;
}
declare enum Event {
    StatusUpdated = "status-updated",
    StatusCleared = "status-cleared",
    Error = "error"
}
interface Events {
    [Event.StatusUpdated]: NowPlayingTrack;
    [Event.StatusCleared]: never;
    [Event.Error]: any;
}
export declare class NowPlayingMonitor extends SimpleEventEmitter<Events> {
    private options;
    static Events: typeof Event;
    private sourceProvider;
    private profileStatus;
    constructor(options: StatusPublisherOptions);
    source: NowPlayingSourceProvider;
    private init;
    private updateStatus;
    private clearStatus;
}
export {};
