"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const querystring_1 = __importDefault(require("querystring"));
const request_promise_1 = __importDefault(require("request-promise"));
const url_1 = __importDefault(require("url"));
const sourceProvider_1 = require("../sourceProvider");
class LastFMSourceProvider extends sourceProvider_1.NowPlayingSourceProvider {
    getNowPlaying() {
        return __awaiter(this, void 0, void 0, function* () {
            const res = yield request_promise_1.default.get(this.recentTracksUrl, { json: true });
            const track = res.recenttracks.track[0];
            if (track && track['@attr'] && track['@attr'].nowplaying === 'true') {
                return {
                    artist: track.artist['#text'],
                    title: track.name,
                };
            }
            return null;
        });
    }
    get recentTracksUrl() {
        return url_1.default.format({
            hostname: 'ws.audioscrobbler.com',
            pathname: '/2.0',
            protocol: 'http',
            search: querystring_1.default.stringify({
                api_key: this.options.apiKey,
                format: 'json',
                method: 'user.getrecenttracks',
                user: 'dwaseem',
            }),
        });
    }
}
exports.LastFMSourceProvider = LastFMSourceProvider;
