import { NowPlayingTrack } from '../nowPlayingTrack';
import { SimpleEventEmitter } from '../utils';
declare enum Event {
    Error = "error",
    TrackChanged = "track-changed",
    TrackStopped = "track-stopped"
}
interface Events {
    [Event.Error]: any;
    [Event.TrackChanged]: NowPlayingTrack;
    [Event.TrackStopped]: never;
}
interface SourceProviderOptions {
    updateFrequency: number;
}
export declare abstract class NowPlayingSourceProvider<T = {}> extends SimpleEventEmitter<Events> {
    protected options: T & SourceProviderOptions;
    static Events: typeof Event;
    private updateFrequency;
    private lastTrack;
    constructor(options: T & SourceProviderOptions);
    protected getNowPlaying(): Promise<NowPlayingTrack | null>;
    /**
     * @todo add track-checked event
     */
    private check;
    private checkNowPlaying;
    private hasTrackChanged;
}
export {};
